Security update for ruby19

SUSE Security Update: Security update for ruby19
Announcement ID: SUSE-SU-2013:1659-1
Rating: moderate
References: #837457 #843686
Affected Products:
  • SUSE Studio Onsite 1.3

  • An update that fixes three vulnerabilities is now available. It includes one version update.


    ruby19 has been updated to fix two security issues:

    * CVE-2013-2065: Object tainting was able to be
    bypassed in the DL and Fiddle modules.
    * CVE-2013-4287 CVE-2013-4363: An algorithmic
    complexity vulnerability within regular expression version
    checks has been fixed.

    Security Issue references:

    * CVE-2013-2065
    * CVE-2013-4287
    * CVE-2013-4363

    Patch Instructions:

    To install this SUSE Security Update use YaST online_update.
    Alternatively you can run the command listed for your product:

    • SUSE Studio Onsite 1.3:
      zypper in -t patch slestso13-ruby19-8459

    To bring your system up-to-date, use "zypper patch".

    Package List:

    • SUSE Studio Onsite 1.3 (x86_64) [New Version: 1.9.3.p392]:
    • ruby19-1.9.3.p392-0.13.1
    • ruby19-devel-1.9.3.p392-0.13.1
    • ruby19-devel-extra-1.9.3.p392-0.13.1